 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.EatTimeEntity;
import com.huimv.management.service.EatTimeService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 采食频次表
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
@Api(tags = "采食频次表")
@RestController
@RequestMapping("management/eattime")
public class EatTimeController {
    @Autowired
    private EatTimeService eatTimeService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = eatTimeService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		EatTimeEntity eatTime = eatTimeService.getById(id);

        return R.ok().put("eatTime", eatTime);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody EatTimeEntity eatTime){
		eatTimeService.save(eatTime);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody EatTimeEntity eatTime){
		eatTimeService.updateById(eatTime);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		eatTimeService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
